Index: trunk/var/www/info/alkis/alkisinlayausk.php
===================================================================
--- trunk/var/www/info/alkis/alkisinlayausk.php	(revision 123)
+++ trunk/var/www/info/alkis/alkisinlayausk.php	(revision 129)
@@ -16,4 +16,5 @@
 	26.07.2011  debug, SQL nur im Testmodus ausgeben
 	02.11.2011  6.+7. Parameter fuer function eigentuemer()
+	17.11.2011  Link FS-Historie, Parameter der Functions geÃ€ndert
 
 	ToDo:  Link im neuen Fenster erzwingen (Javascript?), statt _blank = tab
@@ -40,5 +41,10 @@
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Flurstueck.ico">
 	<title>ALKIS-Auskunft</title>
-	<base target="_blank">
+	<script type="text/javascript">
+	function imFenster(dieURL) {
+		var link = encodeURI(dieURL);
+		window.open(link,'','left=10,top=10,width=620,height=800,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
+	}
+	</script>
 </head>
 <body>
@@ -89,18 +95,22 @@
 echo "\n\t<p class='nwlink'>weitere Auskunft:<br>";
 
-// Flurstuecksnachweis (o. Eigent.)
-echo "\n\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=n";
-echo "' title='Flurst&uuml;cksnachweis, alle Flurst&uuml;cksdaten'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''></a><br>";
-
-// FS- u. Eigent.-NW
-echo "\n\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=j";
-echo "' title='Flurst&uuml;ck mit Eigent&uuml;mer'>Flurst&uuml;ck mit Eigent&uuml;mer</a> <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''><br>";
-
-// Gebaeude-NW
-echo "\n\t\t<a href='alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
-echo "' title='Geb&auml;udenachweis'>Geb&auml;ude <img src='ico/Haus.ico' width='16' height='16' alt=''></a>";
-
-// FS-Historie (noch nicht in DB)
-//echo "&nbsp;|&nbsp;<a href='alkisfshist.php?gkz=".$gkz."&amp;flurstkennz=".$gmlid."' title='Vorg&auml;nger- und Nachfolger-Flurst&uuml;cke'>Historie</a>\n";
+// Flurstuecksnachweis (mit EigentÃŒmer)
+echo "\n\t<a href='javascript:imFenster(\"alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=j\")' ";
+	echo "title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck&nbsp;";
+	echo "<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
+echo "</a><br>";
+
+// FS-Historie
+echo "\n\t\t<a href='javascript:imFenster(\"alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' ";
+	echo "title='Vorg&auml;nger des Flurst&uuml;cks'>Historie&nbsp;";
+	echo "<img src='ico/Flurstueck_Historisch.ico' width='16' height='16' alt=''>";
+echo "</a><br>";
+
+// Gebaeude-NW zum FS
+echo "\n\t\t<a href='javascript:imFenster(\"alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' ";
+	echo "title='Geb&auml;udenachweis'>Geb&auml;ude&nbsp;";
+	echo "<img src='ico/Haus.ico' width='16' height='16' alt=''>";
+echo "</a>";
+
 echo "\n\t</p>\n</td>";
 
@@ -132,5 +142,6 @@
 		echo "\n\t<td class='lr'>".$sname."&nbsp;".$row["hausnummer"]."</td>";
 		echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
-			echo "\n\t\t\t<a title='Lagebezeichnung mit Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."'>Lage ";
+			echo "\n\t\t\t<a title='Lagebezeichnung mit Hausnummer' ";
+			echo "href='javascript:imFenster(\"alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."\")'>Lage ";
 			echo "<img src='ico/Lage_mit_Haus.ico' width='16' height='16' alt=''></a>";
 		echo "\n\t\t</p>\n\t</td>";
@@ -138,5 +149,5 @@
 	$j++;
 }
-echo "\n</tr>\n</table>\n";
+echo "\n</table>\n";
 
 // Flurstuecksflaeche
@@ -200,6 +211,6 @@
 		echo "\n</td>\n<td>";
 		echo "\n\t<p class='nwlink'>weitere Auskunft:<br>";
-			echo "\n\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0];
-				echo "' title='Grundbuchnachweis'>";
+			echo "\n\t\t<a href='javascript:imFenster(\"alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0]."\")'";
+				echo "title='Grundbuchnachweis'>";
 				echo $blattart;
 				echo " <img src='ico/GBBlatt_link.ico' width='16' height='16' alt=''>";
@@ -218,5 +229,7 @@
 
 		// Ausgabe Name in Function
-		$n = eigentuemer($con, $gkz, false, $rowg["gml_id"], false, $showkey, $debug); // hier ohne Adressen
+		// ToDo: Link in Function auch umstellen auf (optional) "javascript:imFenster"
+		//       oder base_ / target="_blank"
+		$n = eigentuemer($con, $rowg["gml_id"], false, "imFenster"); // ohne Adressen
 
 		if ($n == 0) { // keine Namensnummer, kein Eigentuemer
